function im = fftnc( d )
% FFTNC centered N-dimensional DFT
%    FFTNC(D) returns the centered N-dimensional discrete Fourier 
%    Transform. The FFTSHIFT is done within this function.
%
% See also IFFTNC.
% 
% (c) Joseph Y Cheng (jycheng@mrsrl.stanford.edu) 2010

% SVN info: 
%     Date:     $Date: 2012-02-09 00:32:04 -0800 (Thu, 09 Feb 2012) $
%     Revision: $Revision: 1064 $
%     Author:   $Author: jycheng $
%     Id:       $Id: fftnc.m 1064 2012-02-09 08:32:04Z jycheng $

im = fftshift(fftn(fftshift(d)));